diff --git a/doc/src/sgml/syntax.sgml b/doc/src/sgml/syntax.sgml
index 4f50f43..59419ae 100644
--- a/doc/src/sgml/syntax.sgml
+++ b/doc/src/sgml/syntax.sgml
@@ -1882,6 +1882,14 @@ UNBOUNDED FOLLOWING
     list and the <literal>ORDER BY</> clause of the query.
    </para>
 
+   <note>
+     The number of evaluations of any expression within an aggregate function
+     parameters when called as a window function is undefined and this may 
+     change between releases of <productname>PostgreSQL</productname>. If your
+     expression calls a function, especially a volatile function then it may
+     be desirable to put the function call into a sub query.
+   </node>
+   
    <para>
     More information about window functions can be found in
     <xref linkend="tutorial-window">,
